%define		realname	pcre
Summary:	Perl-Compatible Regular Expression library - MinGW32 cross version
Summary(pl.UTF-8):	Biblioteka perlowych wyrażeń regularnych - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	8.45
Release:	1
License:	BSD (see LICENCE)
Group:		Development/Libraries
Source0:	https://ftp.pcre.org/pub/pcre/%{realname}-%{version}.tar.bz2
# Source0-md5:	4452288e6a0eefb2ab11d36010a1eebb
URL:		http://www.pcre.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	crossmingw32-w32api
BuildRequires:	libtool >= 2:2
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1
%define		_enable_debug_packages	0

%define		target		i386-mingw32
%define		target_platform	i386-pc-mingw32

%define		_prefix		/usr/%{target}
%define		_libdir		%{_prefix}/lib
%define		_pkgconfigdir	%{_prefix}/lib/pkgconfig
%define		_dlldir		/usr/share/wine/windows/system
%define		__cc		%{target}-gcc
%define		__cxx		%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*
%define		filterout_cxx	-f[-a-z0-9=]*

%description
PCRE stands for the Perl Compatible Regular Expression library. It
contains routines to match text against regular expressions similar to
Perl's. It also contains a POSIX compatibility library.

%description -l pl.UTF-8
PCRE (Perl-Compatible Regular Expression) oznacza bibliotekę wyrażeń
regularnych kompatybilnych z perlowymi. Zawiera funkcje dopasowujące
tekst do wyrażeń regularnych podobnych do tych znanych z Perla.
Zawiera także bibliotekę kompatybilną z POSIX.

%package static
Summary:	Static PCRE libraries (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczne biblioteki PCRE (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static PCRE libraries (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczne biblioteki PCRE (wersja skrośna MinGW32).

%package dll
Summary:	%{realname} - DLL libraries for Windows
Summary(pl.UTF-8):	%{realname} - biblioteki DLL dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
%{realname} - DLL libraries for Windows.

%description dll -l pl.UTF-8
%{realname} - biblioteki DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--host=%{target} \
	--target=%{target} \
	--disable-silent-rules \
	--enable-pcre16 \
	--enable-unicode-properties \
	--enable-utf8

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{doc,man}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENCE NEWS NON-UNIX-USE README
%{_libdir}/libpcre.dll.a
%{_libdir}/libpcre16.dll.a
%{_libdir}/libpcrecpp.dll.a
%{_libdir}/libpcreposix.dll.a
%{_libdir}/libpcre.la
%{_libdir}/libpcre16.la
%{_libdir}/libpcrecpp.la
%{_libdir}/libpcreposix.la
%{_includedir}/pcre*.h
%{_pkgconfigdir}/libpcre.pc
%{_pkgconfigdir}/libpcre16.pc
%{_pkgconfigdir}/libpcrecpp.pc
%{_pkgconfigdir}/libpcreposix.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpcre.a
%{_libdir}/libpcre16.a
%{_libdir}/libpcrecpp.a
%{_libdir}/libpcreposix.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libpcre-1.dll
%{_dlldir}/libpcre16-0.dll
%{_dlldir}/libpcrecpp-0.dll
%{_dlldir}/libpcreposix-0.dll
%changelog
* Tue Jun 22 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-pcre.git;a=log;h=master

* Tue Jun 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 9e498f0
- disable debug packages

* Tue Jun 22 2021 Jakub Bogusz <qboosh@pld-linux.org> a01c255
- updated to 8.45

* Sat Feb 15 2020 Jakub Bogusz <qboosh@pld-linux.org> 713ecac
- updated to 8.44

* Sat Feb 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 74e0c89
- updated to 8.43

* Sat Dec 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 4998edc
- release 2

* Sat Sep 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 4d62ab9
- updated to 8.42

* Sat Jan 14 2017 Jakub Bogusz <qboosh@pld-linux.org> d0c1125
- updated to 8.40

* Sat Jun 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 797b606
- updated to 8.39

* Tue Nov 24 2015 Jakub Bogusz <qboosh@pld-linux.org> c2a0a11
- updated to 8.38

* Tue May 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 7a875c6
- updated to 8.37

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 14888c3
- x32 rebuild
- release 2 (by relup.sh)

* Sat Oct 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 24a2574
- updated to 8.36

* Sun Apr 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 635f7b5
- updated to 8.35

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 05889e6
- updated to 8.34

* Tue Jun 04 2013 Jakub Bogusz <qboosh@pld-linux.org> cc3e5e6
- updated to 8.33

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 38c769b
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 4d0dc3a
- do not provide pkgconfig deps in system namespace

* Thu Dec 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 9e8e4d2
- updated 8.32
- dropped jit, requires pthreads

* Tue Sep 25 2012 Jakub Bogusz <qboosh@pld-linux.org> a15d272
- filterout_cxx too

* Tue Sep 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 38b25bc
- added filterout_c

